> ## Documentation Index
> Fetch the complete documentation index at: https://docs.thehog.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List monitor events

> List events found by a monitor.

# GET /api/v1/monitors/:id/events

> List events detected by a monitor.

Retrieve events (posts, mentions, profile changes) detected by a monitor.

## Example

```bash theme={null} theme={"theme":{"light":"github-light","dark":"github-dark"}}
curl https://developer.thehog.ai/api/v1/monitors/mon_01HZXYZ/events?limit=10 \
  -H "X-Access-Key: ak_xxxxxxxxxxxxxxxx" \
  -H "X-Secret-Key: sk_xxxxxxxxxxxxxxxx"
```


## OpenAPI

````yaml api-reference/openapi.json GET /api/v1/monitors/{id}/events
openapi: 3.0.0
info:
  title: The Hog API
  description: Public API reference for The Hog.
  version: '1.0'
  contact: {}
servers:
  - url: https://developer.thehog.ai
security: []
tags: []
paths:
  /api/v1/monitors/{id}/events:
    get:
      tags:
        - Monitors
      summary: List monitor events
      description: List events found by a monitor.
      operationId: listMonitorEvents
      parameters:
        - name: since
          required: false
          in: query
          description: ISO timestamp — only return events detected after this time
          schema: {}
        - name: limit
          required: false
          in: query
          schema:
            type: number
        - name: cursor
          required: false
          in: query
          schema: {}
        - name: id
          required: true
          in: path
          description: Monitor ID.
          schema:
            type: string
      responses:
        '200':
          description: Monitor events with pagination.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MonitorEventListResponseDto'
        '401':
          description: Authentication is required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 401
                error: Unauthorized
                message: Authentication is required.
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
        '404':
          description: The requested resource was not found.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 404
                error: Not Found
                message: Resource not found.
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
        '500':
          description: An unexpected error occurred.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PublicErrorResponseDto'
              example:
                statusCode: 500
                error: Internal Server Error
                message: An unexpected error occurred.
                path: /api/v1/search
                timestamp: '2026-05-21T09:08:10.000Z'
                requestId: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
      security:
        - AccessKey: []
          SecretKey: []
components:
  schemas:
    MonitorEventListResponseDto:
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/MonitorEventDto'
        next_cursor:
          type: string
          nullable: true
      required:
        - data
        - next_cursor
    PublicErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          example: 400
        error:
          type: string
          example: Bad Request
        message:
          type: string
          example: Validation failed
        path:
          type: string
          example: /api/v1/search
        requestId:
          type: string
          example: 506af9b3-01a9-43be-9eb4-8458fe3e4f5b
        timestamp:
          type: string
          example: '2026-05-21T09:08:10.000Z'
        errors:
          type: array
          items:
            $ref: '#/components/schemas/PublicValidationErrorItemDto'
      required:
        - statusCode
        - error
        - message
        - path
        - timestamp
    MonitorEventDto:
      type: object
      properties:
        id:
          type: string
        monitor_id:
          type: string
        dedup_key:
          type: string
        event_type:
          type: string
        event_json:
          type: object
          additionalProperties: true
        canonical_person_id:
          type: string
          nullable: true
        canonical_company_id:
          type: string
          nullable: true
        detected_at:
          type: string
      required:
        - id
        - monitor_id
        - dedup_key
        - event_type
        - event_json
        - canonical_person_id
        - canonical_company_id
        - detected_at
    PublicValidationErrorItemDto:
      type: object
      properties:
        property:
          type: string
          example: body.query
        message:
          type: string
          example: query must be a string
        constraints:
          type: object
          additionalProperties:
            type: string
          example:
            isString: query must be a string
      required:
        - property
        - message
  securitySchemes:
    AccessKey:
      type: apiKey
      in: header
      name: X-Access-Key
      description: The public API key from the Credentials page.
    SecretKey:
      type: apiKey
      in: header
      name: X-Secret-Key
      description: The API secret shown when the credential is created.

````